/***************************************************************************
                          gvlistenerstatus.cpp  -  description
                             -------------------
    begin                : Son Aug 17 2003
    copyright            : (C) 2003 by Thomas Thiel
    email                : kv@wolfchild.de
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#include "gvlistenerstatus.h"
#include "stdio.h"
#include "iostream"

GVListenerStatus::GVListenerStatus()
{
  running=false;
  terminate=false;
}
GVListenerStatus::~GVListenerStatus()
{
  // empty, and that's ok.
}

/** terminates the GVListener to which this Object is bound to. */
void GVListenerStatus::terminateListener()
{
  GVLS_Mutex.lock();
  terminate=true;
  GVLS_Mutex.unlock();
}
/** checks if the GVListener thread to which this object is bound to still runs. */
bool GVListenerStatus::isRunning()
{
  return running;
}

/** sets running variable */
void GVListenerStatus::setRunning(bool inp)
{
  GVLS_Mutex.lock();
  running=inp;
  GVLS_Mutex.unlock();
}
/** returns, if the GVListener shall terminate */
bool GVListenerStatus::termination_requested()
{
  return terminate;
}
