/***************************************************************************
                          gvlistenerstatus.h  -  description
                             -------------------
    begin                : Son Aug 17 2003
    copyright            : (C) 2003 by Thomas Thiel
    email                : kv@wolfchild.de
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#include <qmutex.h>

#ifndef GVLISTENERSTATUS_H
#define GVLISTENERSTATUS_H


/**Class which enables the GVListenerthread to communicate with the KameVoiceConfig object.
  *@author Thomas Thiel
  */

class GVListenerStatus {
public: 
	GVListenerStatus();
	~GVListenerStatus();
  /** checks if the GVListener thread to which this object is bound to still runs. */
  bool isRunning();
  /** terminates the GVListener to which this Object is bound to. */
  void terminateListener();
  /** returns, if the GVListener shall terminate */
  bool termination_requested();
  /** sets running variable */
  void setRunning(bool inp);
protected: // Protected attributes
  /** Mutex which restricts simultaenously access through different threads */
  QMutex GVLS_Mutex;
private:
  /** stores the status of the GVListener Object */
  bool running;
  /** stores if the GVListener Object should terminate */
  bool terminate;
};

#endif
